Signup eKYC Validate

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
📘

Header Parameters

For Header reference Click here

Request Parameters

Parameter KeyRequirementDescription
otpReferenceIDMandatorySame as received in
eKYC API response
hashMandatorySame as received in
eKYC API response
otpMandatoryOTP received on Mobile Number

Sample Request

curl --location --request POST 'https://api.instantpay.in/user/outlet/signup/validate' \
--header 'X-Ipay-Auth-Code: {{authCode}}' \
--header 'X-Ipay-Client-Id: {{clientId}}' \
--header 'X-Ipay-Client-Secret: {{clientSecret}}' \
--header 'X-Ipay-Endpoint-Ip: {{endPointIP}}' \
--header 'Content-Type: application/json' \
--data-raw '{
    "otpReferenceID": "ZjA5YmZmOhiue2hd923hn2993VhNDEz",
    "otp": "711232",
    "hash": "5GuAqAiFN9xMs24fRNlUpFcHDHND9831DBbNNUJINsFsoiZo6JCEIVXnjZTp4l4"
}'
POST /user/outlet/signup/validate HTTP/1.1
Host: api.instantpay.in
X-Ipay-Auth-Code: {{authCode}}
X-Ipay-Client-Id: {{clientId}}
X-Ipay-Client-Secret: {{clientSecret}}
X-Ipay-Endpoint-Ip: {{endPointIP}}
Content-Type: application/json

{
    "otpReferenceID": "ZjA5YmZmOhiue2hd923hn2993VhNDEz",
    "otp": "711232",
    "hash": "5GuAqAiFN9xMs24fRNlUpFcHDHND9831DBbNNUJINsFsoiZo6JCEIVXnjZTp4l4"
}'

Response Parameters

Parameter KeyTypeDescription
statuscodeStringInstantPay Status Code
actcodeStringAction Code
statusStringStatus message
dataStringResponse Data (If Present)

Sample Response

{
    "statuscode": "TXN",
    "actcode": null,
    "status": "Transaction Successful",
    "data": {
        "outletId": 185133,
        "name": "Sample Name",
        "dateOfBirth": "01-01-1999",
        "gender": "M",
        "pincode": "110044",
        "state": "State Name",
        "districtName": "District Name",
        "address": "Full Address",
        "profilePic": "/a7be82f82ub82uh2892uhdb82b82by28282f947fbfbbfbhdsks"
    },
    "timestamp": "2022-05-12 17:37:28",
    "ipay_uuid": "h006-e3bd-4f83-a8bd-7e08dfddb672-5c8b180",
    "orderid": "1230424130343AXKFA",
    "environment": "LIVE",
}
📘

Info :

Charges for Bank Account Verification in Outlet onboarding: ₹1.18 (incl. GST) + ₹1.00 for penny drop (if applicable).

Headers
string
enum
Defaults to application/json

Generated from available response content types

Allowed:
Responses

Language
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
text/plain
application/json